<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimer4: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmTimer4
   </div>
   <div id="projectbrief">kmTimer4 library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('globals.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:</div>

<h3><a id="index_k" name="index_k"></a>- k -</h3><ul>
<li>KM_TCC4_MINIMUM_PWM_CYCCLE_ACCURACY&#160;:&#160;<a class="el" href="km_timer4_default_config_8h.html#ab0b346734ab3eb94cf90bcc42f8139a2">kmTimer4DefaultConfig.h</a></li>
<li>KM_TCC4_PWM_OUT_A&#160;:&#160;<a class="el" href="km_timer4_8h.html#a87e5ae05b2a625ea8f186b3cf1b4f172a5f2ee7aa5addffb14bc8b03c70a2a320">kmTimer4.h</a></li>
<li>KM_TCC4_PWM_OUT_B&#160;:&#160;<a class="el" href="km_timer4_8h.html#a87e5ae05b2a625ea8f186b3cf1b4f172a4518213818486fdf8bb997013a406547">kmTimer4.h</a></li>
<li>KM_TCC4_PWM_OUT_C&#160;:&#160;<a class="el" href="km_timer4_8h.html#a87e5ae05b2a625ea8f186b3cf1b4f172a29d959a3bf52d0f43700edfca8276ea8">kmTimer4.h</a></li>
<li>KM_TIMER4_USER_DATA&#160;:&#160;<a class="el" href="km_timer4_8h.html#a2e13f19df2a4951862ca5bd89b699107">kmTimer4.h</a></li>
<li>kmTimer4CalcDutyOnCycles()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a9044116bb21e91d66bddd602cc3c7d9b">kmTimer4.h</a></li>
<li>kmTimer4CalcPerdiod()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a34c9876127ce73778f4615e6c811bba4">kmTimer4.h</a></li>
<li>kmTimer4CalcPerdiodWithMinPwmAccuracy()&#160;:&#160;<a class="el" href="km_timer4_8h.html#ad978af6b0d4fa8f9785626c567f1fb88">kmTimer4.h</a></li>
<li>kmTimer4CallbackType&#160;:&#160;<a class="el" href="km_timer4_8h.html#acac9dc0d63ba80ccf47bb3ed4a0e5c01">kmTimer4.h</a></li>
<li>kmTimer4ConfigureOCA()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a443148ab914eb654ec77a28a80930bd1">kmTimer4.h</a></li>
<li>kmTimer4ConfigureOCB()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a253585c3b22b985adc023b8670f0427a">kmTimer4.h</a></li>
<li>kmTimer4ConfigureOCC()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a3be3ed635233091b682e6cc602573cc7">kmTimer4.h</a></li>
<li>kmTimer4DisableInterruptCompA()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a7df3153db1d7397ed7952f7bfd8ca61b">kmTimer4.h</a></li>
<li>kmTimer4DisableInterruptCompB()&#160;:&#160;<a class="el" href="km_timer4_8h.html#af95e0e28476022b1a3bdec4d980c2b2a">kmTimer4.h</a></li>
<li>kmTimer4DisableInterruptCompC()&#160;:&#160;<a class="el" href="km_timer4_8h.html#aa6e787e3dea96c6be57a3c5dfa3062e0">kmTimer4.h</a></li>
<li>kmTimer4DisableInterruptOVF()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a60921167a8d17688d9bba578a6c4057d">kmTimer4.h</a></li>
<li>kmTimer4DisableInterruptsAll()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a498cb34fdd3377dced21be20cef52dc4">kmTimer4.h</a></li>
<li>kmTimer4EnableInterruptCompA()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a8a4333b2e38d16d9b0fe99c30e0d1196">kmTimer4.h</a></li>
<li>kmTimer4EnableInterruptCompB()&#160;:&#160;<a class="el" href="km_timer4_8h.html#ab301d7a6d0dbafc9bc419531a33882e4">kmTimer4.h</a></li>
<li>kmTimer4EnableInterruptCompC()&#160;:&#160;<a class="el" href="km_timer4_8h.html#ad665f114cad7ae24a64bf9b231091be2">kmTimer4.h</a></li>
<li>kmTimer4EnableInterruptInpCapture()&#160;:&#160;<a class="el" href="km_timer4_8h.html#ad4e6dc91d904ada382344b77f1894252">kmTimer4.h</a></li>
<li>kmTimer4EnableInterruptOVF()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a98a5f1076cbd17f38999aef18badfef3">kmTimer4.h</a></li>
<li>kmTimer4GetValueCompA()&#160;:&#160;<a class="el" href="km_timer4_8h.html#ad15770cb857652c1f4c2421ec1459fdc">kmTimer4.h</a></li>
<li>kmTimer4GetValueCompB()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a045e39ffec2665ff9c26d59718d57d58">kmTimer4.h</a></li>
<li>kmTimer4GetValueCompC()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a1685481b3bd8c34dd46aedce5e8216f1">kmTimer4.h</a></li>
<li>kmTimer4GetValueOvf()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a6b6612c2a61bd264d20fdfdd6cca8a84">kmTimer4.h</a></li>
<li>kmTimer4Init()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a16c21e2c71589e7af74732a98fa113bf">kmTimer4.h</a></li>
<li>kmTimer4InitExternal()&#160;:&#160;<a class="el" href="km_timer4_8h.html#afb8b2a912203fc8b0ff2cd0d2098c664">kmTimer4.h</a></li>
<li>kmTimer4InitInputCapture()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a3220e480e45e2cf959c2d066670123fa">kmTimer4.h</a></li>
<li>kmTimer4InitOnAccuratePeriodGenerateOutputClockA()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a3599cd58332aa1abd2640f07042e1671">kmTimer4.h</a></li>
<li>kmTimer4InitOnAccurateTimeCompABInterruptCallback()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a9b36899cf482b9fe21b22bef0804ba59">kmTimer4.h</a></li>
<li>kmTimer4InitOnAccurateTimeCompAInterruptCallback()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a24618290ff08ff410b44208049afd305">kmTimer4.h</a></li>
<li>kmTimer4InitOnAccurateTimeFastPwm()&#160;:&#160;<a class="el" href="km_timer4_8h.html#ae9f11519d59b700216c6aaff3f3ecdaf">kmTimer4.h</a></li>
<li>kmTimer4InitOnAccurateTimePcPwm()&#160;:&#160;<a class="el" href="km_timer4_8h.html#aa1d1e30f30755989866792d2bb978058">kmTimer4.h</a></li>
<li>kmTimer4InitOnPrescalerBottomToTopFastPwm()&#160;:&#160;<a class="el" href="km_timer4_8h.html#ab33ddfaa6fd8df2260b5487b40a8c1c0">kmTimer4.h</a></li>
<li>kmTimer4InitOnPrescalerBottomToTopOvfCompABCInterruptCallback()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a11641a0277fcb1f24828b00b2e387f39">kmTimer4.h</a></li>
<li>kmTimer4InitOnPrescalerBottomToTopPcPwm()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a480d5afecd140f846ac44a11bddeda64">kmTimer4.h</a></li>
<li>kmTimer4InpCaptureCallbackType&#160;:&#160;<a class="el" href="km_timer4_8h.html#afe5532f92f52fff6025f33f5ad5717e1">kmTimer4.h</a></li>
<li>kmTimer4InpCaputureGetState()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a0fec44d9b9aca0ecec10d5bcd5e93dff">kmTimer4.h</a></li>
<li>kmTimer4RegisterCallbackCompA()&#160;:&#160;<a class="el" href="km_timer4_8h.html#ab8697b2db0329462446e946906c21eb3">kmTimer4.h</a></li>
<li>kmTimer4RegisterCallbackCompB()&#160;:&#160;<a class="el" href="km_timer4_8h.html#ab8498241febbd89502a935247f67150d">kmTimer4.h</a></li>
<li>kmTimer4RegisterCallbackCompC()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a07a3395e6aa04c9152e85731d394745c">kmTimer4.h</a></li>
<li>kmTimer4RegisterCallbackInpCapture()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a7ab5186cf810017a723697915c0e09da">kmTimer4.h</a></li>
<li>kmTimer4RegisterCallbackOVF()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a94bafd8412a4ef21ea1342ce676ca384">kmTimer4.h</a></li>
<li>kmTimer4Restart()&#160;:&#160;<a class="el" href="km_timer4_8h.html#ad0e5ac961deaee4f85ea9df807f5fa5d">kmTimer4.h</a></li>
<li>kmTimer4SetCallbackUserDataCompA()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a9916920251f149df9f426768c62cdc66">kmTimer4.h</a></li>
<li>kmTimer4SetCallbackUserDataCompB()&#160;:&#160;<a class="el" href="km_timer4_8h.html#ac37f28ed40c28cd67ee24a98d8d790de">kmTimer4.h</a></li>
<li>kmTimer4SetCallbackUserDataCompC()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a316bb4c09885ef860db6faef86132d63">kmTimer4.h</a></li>
<li>kmTimer4SetCallbackUserDataOVF()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a021cf9acf848e4e8ffe776c0e31ee21c">kmTimer4.h</a></li>
<li>kmTimer4SetPwmDutyAccurateTimeModes()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a49d222a1c45c35f5343b97c1ce08cdea">kmTimer4.h</a></li>
<li>kmTimer4SetPwmDutyBottomToTop()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a5215e56d6a2cbf2743b405730734a5f5">kmTimer4.h</a></li>
<li>kmTimer4SetPwmInversion()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a7bb3daa69391fe769ffa596771a5aedf">kmTimer4.h</a></li>
<li>kmTimer4SetValueCompA()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a8e8fc2551c6a96f660fb5ccd94e3a9cb">kmTimer4.h</a></li>
<li>kmTimer4SetValueCompB()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a657ea8bfca17f3fd9d6bd461c7bd6709">kmTimer4.h</a></li>
<li>kmTimer4SetValueCompC()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a046ca438d72aa52415697d15e3d1499d">kmTimer4.h</a></li>
<li>kmTimer4SetValueOvf()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a7ffa330bd7bffd14b5281a7059505ae3">kmTimer4.h</a></li>
<li>kmTimer4Start()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a1c919fa7afe6f0066897286f5d335fe1">kmTimer4.h</a></li>
<li>kmTimer4Stop()&#160;:&#160;<a class="el" href="km_timer4_8h.html#abd6f5ec0caf8ec382af55cc98bb5258d">kmTimer4.h</a></li>
<li>kmTimer4UnregisterCallbackCompA()&#160;:&#160;<a class="el" href="km_timer4_8h.html#ac3313368bc1868febafe1fe9e006c75d">kmTimer4.h</a></li>
<li>kmTimer4UnregisterCallbackCompB()&#160;:&#160;<a class="el" href="km_timer4_8h.html#ab686f9e988073d097bdf6bfb9f142e40">kmTimer4.h</a></li>
<li>kmTimer4UnregisterCallbackCompC()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a44a568325bf3c896a4deef9b8250ea0b">kmTimer4.h</a></li>
<li>kmTimer4UnregisterCallbackInpCapture()&#160;:&#160;<a class="el" href="km_timer4_8h.html#a51df73af3f2a6cf5a0e9902216c035f5">kmTimer4.h</a></li>
<li>kmTimer4UnregisterCallbackOVF()&#160;:&#160;<a class="el" href="km_timer4_8h.html#af626cb9614fe90b07358b017e54e8032">kmTimer4.h</a></li>
</ul>


<h3><a id="index_t" name="index_t"></a>- t -</h3><ul>
<li>Tcc4PwmOut&#160;:&#160;<a class="el" href="km_timer4_8h.html#a87e5ae05b2a625ea8f186b3cf1b4f172">kmTimer4.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
